tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class OmemoExtension

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.omemo.OmemoExtension

- All Implemented Interfaces:
    Extension

      public class OmemoExtension
      extends Object
      implements Extension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALGORITHM_NAME`
    `static String` | `CIPHER_NAME`
    `static String` | `OMEMO_ERROR_FLAG`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `afterReceive(Element stanza)`
    `Element` | `beforeSend(Element stanza)`
    `Message` | `decryptMessage(Element stanza)`
    `String[]` | `getFeatures()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OMEMO_ERROR_FLAG

          public static final String OMEMO_ERROR_FLAG

      See Also:
        Constant Field Values

    - #### CIPHER_NAME

          public static final String CIPHER_NAME

      See Also:
        Constant Field Values

    - #### ALGORITHM_NAME

          public static final String ALGORITHM_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### afterReceive

          public Element afterReceive(Element stanza)
                               throws JaxmppException

      Specified by:
        `afterReceive` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### beforeSend

          public Element beforeSend(Element stanza)
                             throws JaxmppException

      Specified by:
        `beforeSend` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### decryptMessage

          public Message decryptMessage(Element stanza)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getFeatures

          public String[] getFeatures()

      Specified by:
        `getFeatures` in interface `Extension`

Copyright © 2006–2022 Tigase. All rights reserved.